﻿<%@ Page Title="Home Page" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="false"
    CodeFile="Default.aspx.vb" Inherits="_Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <p>
        To learn more about ASP.NET visit <a href="http://www.asp.net" title="ASP.NET Website">www.asp.net</a>.
    </p>
    <p>
        You can also find <a href="http://go.microsoft.com/fwlink/?LinkID=152368&amp;clcid=0x409"
            title="MSDN ASP.NET Docs">documentation on ASP.NET at MSDN</a>.
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" 
            DataFile="~/App_Data/DB.accdb" 
            DeleteCommand="DELETE FROM [cargo] WHERE [código] = ?" 
            InsertCommand="INSERT INTO [cargo] ([código], [cargo]) VALUES (?, ?)" 
            SelectCommand="SELECT * FROM [cargo]" 
            UpdateCommand="UPDATE [cargo] SET [cargo] = ? WHERE [código] = ?">
            <DeleteParameters>
                <asp:Parameter Name="código" Type="Int32" />
            </DeleteParameters>
            <InsertParameters>
                <asp:Parameter Name="código" Type="Int32" />
                <asp:Parameter Name="cargo" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="cargo" Type="String" />
                <asp:Parameter Name="código" Type="Int32" />
            </UpdateParameters>
        </asp:AccessDataSource>
        <asp:FormView ID="FormView1" runat="server" DataKeyNames="código" 
            DataSourceID="AccessDataSource1">
            <EditItemTemplate>
                código:
                <asp:Label ID="códigoLabel1" runat="server" Text='<%# Eval("código") %>' />
                <br />
                cargo:
                <asp:TextBox ID="cargoTextBox" runat="server" Text='<%# Bind("cargo") %>' />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                    CommandName="Update" Text="Update" />
                &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
                &nbsp;<asp:Button ID="Button1" runat="server" onclick="Button1_Click" 
                    Text="Button" />
            </EditItemTemplate>
            <InsertItemTemplate>
                cargo:
                <asp:TextBox ID="cargoTextBox" runat="server" Text='<%# Bind("cargo") %>' />
                <br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                    CommandName="Insert" Text="Insert" />
                &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </InsertItemTemplate>
            <ItemTemplate>
                código:
                <asp:Label ID="códigoLabel" runat="server" Text='<%# Eval("código") %>' />
                <br />
                cargo:
                <asp:Label ID="cargoLabel" runat="server" Text='<%# Bind("cargo") %>' />
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                    CommandName="Edit" Text="Edit" />
                &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                    CommandName="Delete" Text="Delete" />
                &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
                    CommandName="New" Text="New" />
            </ItemTemplate>
        </asp:FormView>
        <asp:DetailsView ID="DetailsView1" runat="server" 
            DataSourceID="AccessDataSource1" Height="50px" Width="125px">
            <Fields>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
                    ShowInsertButton="True" />
            </Fields>
        </asp:DetailsView>
    </p>
    <p>
        &nbsp;</p>
    <p>
        &nbsp;</p>
    <p>
        &nbsp;</p>
    <p>
        &nbsp;</p>
</asp:Content>